langcode: en
status: true
dependencies:
  config:
    - node.type.ticketforum
    - taxonomy.vocabulary.ticketforums
  module:
    - node
    - options
    - taxonomy
    - user
    - views_linkarea
id: ticketforum_list
label: 'TicketForum list'
module: views
description: ''
tag: ''
base_table: node_field_data
base_field: nid
core: 8.x
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: perm
        options:
          perm: 'access ticketforums'
      cache:
        type: tag
        options: {  }
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ''
          query_tags: {  }
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: none
        options:
          items_per_page: null
          offset: 0
      style:
        type: html_list
      row:
        type: fields
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          settings:
            link_to_entity: true
          plugin_id: field
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      filters:
        status:
          value: '1'
          table: node_field_data
          field: status
          plugin_id: boolean
          entity_type: node
          entity_field: status
          id: status
          expose:
            operator: ''
          group: 1
        type:
          id: type
          table: node_field_data
          field: type
          value:
            ticketforum: ticketforum
          entity_type: node
          entity_field: type
          plugin_id: bundle
          group: 1
        field_ticketforum_topic_status_value:
          id: field_ticketforum_topic_status_value
          table: node__field_ticketforum_topic_status
          field: field_ticketforum_topic_status_value
          relationship: none
          group_type: group
          admin_label: ''
          operator: or
          value:
            open: open
            closed: closed
          group: 1
          exposed: true
          expose:
            operator_id: field_ticketforum_topic_status_value_op
            label: Status
            description: ''
            use_operator: false
            operator: field_ticketforum_topic_status_value_op
            identifier: status
            required: false
            remember: false
            multiple: true
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              omm_member: '0'
              omm_buyer: '0'
              buyer_admin: '0'
              forum_admin: '0'
              omm_member_admin: '0'
              coopshop_stock_admin: '0'
              administrator: '0'
              toggle_all: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          plugin_id: list_field
        field_ticketforum_internal_value:
          id: field_ticketforum_internal_value
          table: taxonomy_term__field_ticketforum_internal
          field: field_ticketforum_internal_value
          relationship: field_taxonomy_ticketforums
          group_type: group
          admin_label: ''
          operator: or
          value:
            public: public
            internal: internal
          group: 1
          exposed: true
          expose:
            operator_id: field_ticketforum_internal_value_op
            label: Public
            description: ''
            use_operator: false
            operator: field_ticketforum_internal_value_op
            identifier: public
            required: false
            remember: false
            multiple: true
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          plugin_id: list_field
        field_ticketforum_assigned_target_id:
          id: field_ticketforum_assigned_target_id
          table: node__field_ticketforum_assigned
          field: field_ticketforum_assigned_target_id
          relationship: none
          group_type: group
          admin_label: ''
          operator: '='
          value:
            min: ''
            max: ''
            value: ''
          group: 1
          exposed: true
          expose:
            operator_id: field_ticketforum_assigned_target_id_op
            label: Assigned
            description: ''
            use_operator: false
            operator: field_ticketforum_assigned_target_id_op
            identifier: assigned
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              omm_member: '0'
              omm_buyer: '0'
              buyer_admin: '0'
              forum_admin: '0'
              omm_member_admin: '0'
              coopshop_stock_admin: '0'
              administrator: '0'
              toggle_all: '0'
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: numeric
        field_ticketforum_involved_target_id:
          id: field_ticketforum_involved_target_id
          table: node__field_ticketforum_involved
          field: field_ticketforum_involved_target_id
          relationship: none
          group_type: group
          admin_label: ''
          operator: '='
          value:
            min: ''
            max: ''
            value: ''
          group: 1
          exposed: true
          expose:
            operator_id: field_ticketforum_involved_target_id_op
            label: Involved
            description: ''
            use_operator: false
            operator: field_ticketforum_involved_target_id_op
            identifier: involved
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              omm_member: '0'
              omm_buyer: '0'
              buyer_admin: '0'
              forum_admin: '0'
              omm_member_admin: '0'
              coopshop_stock_admin: '0'
              administrator: '0'
              toggle_all: '0'
            placeholder: ''
            min_placeholder: ''
            max_placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: numeric
      sorts:
        title:
          id: title
          table: node_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          entity_type: node
          entity_field: title
          plugin_id: standard
      title: 'All ticketforum topics'
      header:
        linkarea:
          id: linkarea
          table: views
          field: linkarea
          relationship: none
          group_type: group
          admin_label: ''
          empty: true
          tokenize: true
          link_text: 'Ticketforum topic'
          path: '/node/add/ticketforum?ticketforum_id={{ raw_arguments.tid }}'
          output_as_action: true
          destination: true
          prefix: ''
          suffix: ''
          external: false
          replace_spaces: false
          path_case: none
          alt: ''
          rel: ''
          link_class: ''
          target: ''
          absolute: false
          rewrite_output: ''
          access_denied_text: ''
          language: '**auto**'
          plugin_id: linkarea
      footer: {  }
      empty: {  }
      relationships:
        field_taxonomy_ticketforums:
          id: field_taxonomy_ticketforums
          table: node__field_taxonomy_ticketforums
          field: field_taxonomy_ticketforums
          relationship: none
          group_type: group
          admin_label: Ticketforum
          required: false
          plugin_id: standard
      arguments:
        tid:
          id: tid
          table: taxonomy_term_field_data
          field: tid
          relationship: field_taxonomy_ticketforums
          group_type: group
          admin_label: ''
          default_action: ignore
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: true
          title: '{{ arguments.tid }}'
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          default_argument_skip_url: false
          summary_options:
            base_path: ''
            count: true
            items_per_page: 25
            override: false
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: true
          validate:
            type: 'entity:taxonomy_term'
            fail: 'not found'
          validate_options:
            bundles:
              ticketforums: ticketforums
            operation: view
            multiple: 0
            access: false
          break_phrase: false
          not: false
          entity_type: taxonomy_term
          entity_field: tid
          plugin_id: taxonomy
      display_extenders: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  page_1:
    display_plugin: page
    id: page_1
    display_title: Page
    position: 1
    display_options:
      display_extenders: {  }
      path: ticketforum/list
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
